Bug 195321 - ibmasm in RHEL 4 U4 beta should be chkconfig'd off by default
ibmasm in RHEL 4 U4 beta should be chkconfig'd off by default
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ibmasm (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Aristeu Rozanski
: Regression
Depends On:
Blocks: 181411
  Show dependency treegraph
Reported: 2006-06-14 15:24 EDT by Brian Long
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2006-0523
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 17:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Long 2006-06-14 15:24:47 EDT
Description of problem:
ibmasm only applies to a single vendor's hardware, yet it's installed by default
on ALL systems and it's chkconfig'd on.  Either Anaconda should detect IBM
X-Series and only install ibmasm when needed or it should be chkconfig'd off by
default and only chkconfig'd on when IBM X-Series is detected.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install default RHEL 4 U4 beta default packages
Actual results:
ibmasm starts on boot

Expected results:
ibmasm should be disabled on boot except on IBM X-Series

Additional info:
The RHEL 4 U4 pkgs have not been added to Bugzilla.  Please update Bugzilla with
the ibmasm component and add rhel4_u4 to the version list.
Comment 1 Brian Long 2006-06-14 15:26:39 EDT
Because ibmasm is chkconfig'd on by default, my Lenovo Thinkpad now has the
ibmasm kernel module loaded.  This is a waste and I don't believe it's
acceptable for a default installation.
Comment 5 Brian Long 2006-06-29 09:08:22 EDT
What is the status of this bug?  I've noticed ibmasm being chkconfig'd on by
default adds 10 seconds to my boot time while the ibmasm module tries to find
IBM hardware.
Comment 6 Aristeu Rozanski 2006-06-29 09:24:47 EDT
I'm working on this, probably I'll post a test package here by the end of day
Comment 20 Red Hat Bugzilla 2006-08-10 17:44:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.